"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var inversify_1 = require("inversify");
var di_1 = require("../../di");
var FullScreenManager = /** @class */ (function () {
    function FullScreenManager() {
    }
    /**
     * @stable [04.04.2019]
     */
    FullScreenManager.prototype.enable = function () {
        this.domAccessor.enableFullScreen();
    };
    /**
     * @stable [04.04.2019]
     */
    FullScreenManager.prototype.disable = function () {
        this.domAccessor.disableFullScreen();
    };
    __decorate([
        di_1.lazyInject(di_1.DI_TYPES.DomAccessor),
        __metadata("design:type", Object)
    ], FullScreenManager.prototype, "domAccessor", void 0);
    FullScreenManager = __decorate([
        inversify_1.injectable()
    ], FullScreenManager);
    return FullScreenManager;
}());
exports.FullScreenManager = FullScreenManager;
//# sourceMappingURL=full-screen-manager.service.js.map