/// <reference types="react" />
import { BasicContainer } from '../base/basic.container';
import { IContainerProps } from '../../definition';
export declare class LayoutContainer<TProps extends IContainerProps, TState = {}> extends BasicContainer<TProps, TState> {
    /**
     * @stable [19.08.2018]
     * @param {TProps} props
     */
    constructor(props: TProps);
    /**
     * @stable [19.08.2018]
     * @returns {JSX.Element}
     */
    protected readonly snackbarElement: JSX.Element;
    /**
     * @stable [19.08.2018]
     */
    private clearAllNotifications;
}
