/// <reference types="react" />
import { IMainProps, IScrollableEntity } from '../../definition';
import { BaseComponent } from '../base/base.component';
export declare class Main extends BaseComponent<IMainProps> implements IScrollableEntity {
    static readonly defaultProps: IMainProps;
    /**
     * @stable [23.11.2019]
     * @param {IMainProps} props
     */
    constructor(props: IMainProps);
    /**
     * @stable [23.10.2019]
     * @returns {JSX.Element}
     */
    render(): JSX.Element;
    /**
     * @stable [13.12.2018]
     */
    onScroll(): void;
}
