"use strict";
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var definitions_interface_1 = require("../definitions.interface");
/**
 * @stable [28.05.2019]
 */
exports.FIELD_DISPLAY_EMPTY_VALUE = '';
exports.FIELD_VALUE_TO_CLEAR_DIRTY_CHANGES = definitions_interface_1.UNDEF;
exports.FIELD_VALUE_TO_RESET = null;
exports.ID_FIELD_NAME = 'id';
/**
 * @stable [30.10.2019]
 */
var FieldActionTypesEnum;
(function (FieldActionTypesEnum) {
    FieldActionTypesEnum["ATTACH_FILE"] = "attach_file";
    FieldActionTypesEnum["CALENDAR"] = "calendar";
    FieldActionTypesEnum["CLOSE"] = "close";
    FieldActionTypesEnum["DOWNLOAD"] = "download";
    FieldActionTypesEnum["DROP_DOWN"] = "dropdown";
    FieldActionTypesEnum["VIDEO"] = "video";
})(FieldActionTypesEnum = exports.FieldActionTypesEnum || (exports.FieldActionTypesEnum = {}));
/**
 * @stable [30.10.2019]
 */
var FieldActionPositionsEnum;
(function (FieldActionPositionsEnum) {
    FieldActionPositionsEnum[FieldActionPositionsEnum["LEFT"] = 0] = "LEFT";
    FieldActionPositionsEnum[FieldActionPositionsEnum["RIGHT"] = 1] = "RIGHT";
})(FieldActionPositionsEnum = exports.FieldActionPositionsEnum || (exports.FieldActionPositionsEnum = {}));
/**
 * @default-entity
 * @stable [24.11.2019]
 */
exports.DEFAULT_NO_AUTO_COMPLETE_FIELD_ENTITY = Object.freeze({
    autoComplete: 'new-password',
});
/**
 * @default-entity
 * @stable [24.11.2019]
 */
exports.DEFAULT_PASSWORD_FIELD_ENTITY = Object.freeze(__assign({}, exports.DEFAULT_NO_AUTO_COMPLETE_FIELD_ENTITY, { type: 'password' }));
/**
 * @default-entity
 * @stable [15.01.2020]
 */
exports.DEFAULT_QUICK_SEARCH_FIELD_ENTITY = Object.freeze({
    expandActionRendered: false,
    menuConfiguration: { useFilter: false },
    preventFocus: false,
});
/**
 * @default-entity
 * @stable [15.01.2020]
 */
exports.DEFAULT_ZIP_CODE_FIELD_ENTITY = Object.freeze(__assign({}, exports.DEFAULT_QUICK_SEARCH_FIELD_ENTITY, { placeActionRendered: false, useZipCode: true }));
//# sourceMappingURL=field-definition.interface.js.map