"use strict";
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var definitions_interface_1 = require("../definitions.interface");
/**
 * @stable [18.09.2019]
 */
exports.DEFAULT_MAX_PAGED_ENTITY = Object.freeze({
    page: definitions_interface_1.FIRST_PAGE,
    pageSize: definitions_interface_1.DEFAULT_MAX_PAGE_SIZE,
});
/**
 * @stable [12.10.2019]
 */
exports.DEFAULT_PAGED_ENTITY = Object.freeze({
    page: definitions_interface_1.FIRST_PAGE,
    pageSize: definitions_interface_1.DEFAULT_PAGE_SIZE,
});
/**
 * @stable [12.10.2019]
 */
exports.DEFAULT_PAGINATED_SINGLE_ENTITY = Object.freeze(__assign({}, exports.DEFAULT_PAGED_ENTITY, { totalCount: 1 }));
//# sourceMappingURL=page-definition.interface.js.map