"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var inversify_1 = require("inversify");
var di_1 = require("../di");
var util_1 = require("../util");
var definitions_interface_1 = require("../definitions.interface");
var multi_entity_1 = require("./multi-entity");
/**
 * @deprecated
 */
var StorageHelper = /** @class */ (function () {
    function StorageHelper() {
    }
    /**
     * @stable [28.06.2018]
     * @param {TEntity} changes
     * @param {Array<(entity: TEntity) => string>} fields
     * @returns {Promise<IMultiEntityStorageSetEntity[]>}
     */
    StorageHelper.prototype.saveFiles = function (changes, fields) {
        var _this = this;
        var tasks = [];
        fields.forEach(function (fieldValueResolver) {
            var fieldValueChange = fieldValueResolver(changes);
            if (util_1.isDef(fieldValueChange)) {
                tasks.push(_this.storage.set('', fieldValueChange));
            }
            else if (fields.length > 1) {
                tasks.push(Promise.resolve(definitions_interface_1.UNDEF));
            }
        });
        return util_1.orNull(tasks.length > 0, function () { return Promise.all(tasks); });
    };
    __decorate([
        di_1.lazyInject(multi_entity_1.MultiEntityDatabaseStorage),
        __metadata("design:type", Object)
    ], StorageHelper.prototype, "storage", void 0);
    StorageHelper = __decorate([
        inversify_1.injectable()
    ], StorageHelper);
    return StorageHelper;
}());
exports.StorageHelper = StorageHelper;
//# sourceMappingURL=storage.helper.js.map