"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var di_1 = require("../di");
var transport_service_1 = require("./transport.service");
var transport_error_interceptor_1 = require("./transport-error.interceptor");
require("./transport.effects");
require("./factory/transport-factory.module");
require("./request/transport-request.module");
require("./response/transport-response.module");
di_1.appContainer.bind(di_1.DI_TYPES.Transport).to(transport_service_1.Transport).inSingletonScope();
di_1.appContainer.bind(di_1.DI_TYPES.TransportErrorInterceptor).to(transport_error_interceptor_1.TransportErrorInterceptor).inSingletonScope();
//# sourceMappingURL=transport.module.js.map