/// <reference types="react" />
import { BaseComponent } from '../base';
import { IButtonProps } from '../../definition';
export declare class Button extends BaseComponent<IButtonProps> {
    static readonly defaultProps: IButtonProps;
    private readonly buttonRef;
    /**
     * @stable [27.01.2019]
     * @returns {JSX.Element}
     */
    render(): JSX.Element;
    /**
     * @stable [23.02.2019]
     */
    blur(): void;
    /**
     * @stable [24.01.2020]
     * @returns {boolean}
     */
    private readonly isRippled;
    /**
     * @stable [24.01.2020]
     * @returns {boolean}
     */
    private readonly isDecorated;
    /**
     * @stable [24.01.2020]
     * @returns {HTMLButtonElement}
     */
    private readonly buttonEl;
    /**
     * @stable [24.01.2020]
     * @returns {IButtonProps}
     */
    private readonly globalButtonSettings;
}
