"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var util_1 = require("../../util");
var page_toolbar_interface_1 = require("./page/page-toolbar.interface");
var toolbar_interface_1 = require("./toolbar.interface");
var ToolbarActionBuilder = /** @class */ (function () {
    function ToolbarActionBuilder() {
    }
    /**
     * @stable [13.09.2018]
     * @param {string} section
     * @returns {string}
     */
    ToolbarActionBuilder.buildCustomActionActionType = function (section) {
        return util_1.toActionPrefix(section) + "." + toolbar_interface_1.TOOLBAR_CUSTOM_ACTION_ACTION_TYPE;
    };
    ToolbarActionBuilder.buildPagerPreviousActionType = function (section) {
        return section + "." + page_toolbar_interface_1.PAGER_PREVIOUS_ACTION_TYPE;
    };
    ToolbarActionBuilder.buildPagerNextActionType = function (section) {
        return section + "." + page_toolbar_interface_1.PAGER_NEXT_ACTION_TYPE;
    };
    ToolbarActionBuilder.buildPagerFirstActionType = function (section) {
        return section + "." + page_toolbar_interface_1.PAGER_FIRST_ACTION_TYPE;
    };
    ToolbarActionBuilder.buildPagerLastActionType = function (section) {
        return section + "." + page_toolbar_interface_1.PAGER_LAST_ACTION_TYPE;
    };
    return ToolbarActionBuilder;
}());
exports.ToolbarActionBuilder = ToolbarActionBuilder;
//# sourceMappingURL=toolbar-action.builder.js.map