"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * @stable [15.09.2019]
 */
var TransportEventCategoriesEnum;
(function (TransportEventCategoriesEnum) {
    TransportEventCategoriesEnum["TRANSPORT"] = "transport";
    TransportEventCategoriesEnum["TRANSPORT_ERROR"] = "transport:error";
})(TransportEventCategoriesEnum = exports.TransportEventCategoriesEnum || (exports.TransportEventCategoriesEnum = {}));
/**
 * @stable [27.05.2019]
 */
var TransportMethodsEnum;
(function (TransportMethodsEnum) {
    TransportMethodsEnum["POST"] = "post";
    TransportMethodsEnum["GET"] = "get";
    TransportMethodsEnum["PUT"] = "put";
})(TransportMethodsEnum = exports.TransportMethodsEnum || (exports.TransportMethodsEnum = {}));
/**
 * @stable [15.09.2019]
 */
var TransportResponseTypesEnum;
(function (TransportResponseTypesEnum) {
    TransportResponseTypesEnum["BLOB"] = "blob";
})(TransportResponseTypesEnum = exports.TransportResponseTypesEnum || (exports.TransportResponseTypesEnum = {}));
/**
 * @stable [24.09.2019]
 */
exports.INITIAL_TRANSPORT_ENTITY = Object.freeze({
    queue: [],
    token: null,
});
//# sourceMappingURL=transport-definition.interface.js.map