"use strict";
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
require("./stack/stack.module");
require("./state/serializer/state-serializer.module");
var universal_store_factory_1 = require("./universal-store.factory");
var store_interface_1 = require("./store.interface");
function makeStore(reducers, appMiddlewares) {
    return universal_store_factory_1.buildUniversalStore(__assign({}, store_interface_1.defaultReducers, reducers), appMiddlewares);
}
exports.makeStore = makeStore;
//# sourceMappingURL=store.module.js.map