import * as React from 'react';
import { IEntity } from '../definitions.interface';
/**
 * @stable [24.01.2019]
 * @param {TEntity} entity
 * @returns {TEntity}
 */
export declare const shallowClone: <TEntity extends IEntity>(entity: TEntity) => TEntity;
/**
 * @stable [14.06.2018]
 * @param {T} o
 * @returns {T}
 */
export declare const clone: <T>(o: T) => T;
export declare type RenderPredicateT = (child: JSX.Element) => boolean;
export declare const cloneReactNodes: <TProps>(component: JSX.Element | React.Component<{}, {}, any>, mergedProps: TProps | ((component: JSX.Element | React.Component<{}, {}, any>) => TProps), mergePropsPredicate: RenderPredicateT, renderPredicate?: RenderPredicateT) => React.ReactNode[];
