import { EntityMergeStrategiesEnum, IModifyEntityPayloadEntity } from '../definition';
import { IEntity } from '../definitions.interface';
/**
 * @stable [19.10.2019]
 * @param {EntityMergeStrategiesEnum} mergeStrategy
 * @returns {EntityMergeStrategiesEnum}
 */
export declare const getActualMergeStrategy: (mergeStrategy: EntityMergeStrategiesEnum) => EntityMergeStrategiesEnum;
/**
 * @stable [19.10.2019]
 * @param {IModifyEntityPayloadEntity<TEntity extends IEntity>} payload
 * @param {TEntity} entity
 * @returns {TEntity}
 */
export declare const buildEntityByMergeStrategy: <TEntity extends IEntity = IEntity>(payload: IModifyEntityPayloadEntity<TEntity>, entity?: TEntity) => TEntity;
